-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlActualParameter

Declaration :

- C++ : class UmlActualParameter : public UmlBaseActualParameter
- Java : class UmlActualParameter extends UmlBaseActualParameter

This class manages 'actual parameters' of a template class. For instance T in
class Cl1 : public Cl2<T> ...
You can modify it as you want (except the constructor)

Artifact : UmlActualParameter

Operation UmlActualParameter

Declaration :

- C++ : public: UmlActualParameter()
- Java : public UmlActualParameter()

All public operations :

rank , superClass , value